:root {
    --border-radius: 10px;
    --primary-color: #b1fcff;
    --secondary-color: #e83531;
    --tertiary-color: #3149e8;
    --text-color: black;
    --border-color: #c0dedf;
}

span.lang-pl {
    color: var(--secondary-color);
}

span.lang-cz {
    color: var(--tertiary-color);
    color: var(--tertiary-color);
}

body {
    font-family: "Roboto", serif;
    padding-top: calc(100px + 24px + 0px);

    @media (min-width: 992px) {
        padding-top: 0;
        padding-left: 310px;
    }

    @media (min-width: 1880px) {
        padding-left: 0;
    }
}

a {
    color: black;

    &:hover {
        color: black;
    }
}

.floatingNav {
    position: fixed;
    top: 12px;
    left: 12px;
    display: flex;
    align-items: center;
    gap: 24px;
    background: white;
    z-index: 2;
    padding: 12px;
    border-radius: var(--border-radius);
    max-width: calc(100vw - 24px);
    width: 100%;
    justify-content: space-between;

    img {
        width: 100px;
        height: auto;
        aspect-ratio: 1/1;
        object-fit: cover;
        border-radius: var(--border-radius);
    }

    nav {
        display: flex;
        flex-flow: row;
        gap: 12px;
        flex-wrap: wrap;

        a {
            text-decoration: none;
            font-weight: 600;
            letter-spacing: 1px;

            &:hover {
                text-decoration: underline;
            }
        }
    }

    @media (min-width: 992px) {
        display: flex;
        flex-flow: column;
        gap: 24px;
        align-items: flex-start;
        justify-content: center;
        width: auto;

        button {
            display: none;
        }

        img {
            width: 240px;
        }

        nav {
            flex-flow: column;
            max-height: calc(100vh - 240px - 48px);
            overflow: auto;
        }
    }

    @media (max-width: 991px) {
        /*box-shadow: 0 0 10px 0 rgba(0,0,0,0.05);*/
        img {
            z-index: 100;
        }

        nav {
            display: none;
        }

        button {
            width: 48px;
            height: 48px;
            display: flex;
            flex-flow: column;
            justify-content: space-between;
            background: none;
            border: none;
            position: relative;

            span {
                width: 100%;
                height: 2px;
                border-radius: 4px;
                background: black;
                position: absolute;
                top: 0;
                left: 0;
                transition: all .2s;
                transform-origin: center;

                &:nth-child(1) {
                    top: 25%;
                }

                &:nth-child(2) {
                    top: 50%;
                }

                &:nth-child(3) {
                    top: 75%;
                }
            }
        }

        &.toggled {
            /*height: calc(100vh - 10px);*/

            nav {
                position: fixed;
                top: 118px;
                left: 12px;
                width: calc(100% - 24px);
                background: white;
                display: flex;
                flex-flow: column;
                max-height: calc(100vh - 118px - 12px);
                overflow: auto;
                z-index: 99;
                padding: 24px;
                border-bottom: 3px solid #e1e1e1;
            }

            button {
                span {
                    &:nth-child(1) {
                        rotate: 45deg;
                        top: 50%;
                    }

                    &:nth-child(2) {
                        opacity: 0;
                    }

                    &:nth-child(3) {
                        rotate: -45deg;
                        top: 50%;
                    }
                }
            }
        }
    }
}

header {
}

main {
    display: flex;
    flex-flow: column;
    gap: 24px;
    padding: 24px 0;

    @media (min-width: 992px) {
        padding: 48px 0;
        gap: 72px;
    }
}

section {

}

h2 {
    margin: 0 0 24px 0;
    font-size: 24px;
    font-weight: 900;
    text-transform: uppercase;
    letter-spacing: 2px;

    @media (min-width: 992px) {
        font-size: 30px;
        margin: 0 0 72px 0;
        letter-spacing: 4px;
    }

    &:after {
        content: "";
        width: 100px;
        height: 10px;
        background: var(--secondary-color);
        display: block;
        margin: 12px 0 0 0;
        /*border-radius: 0 var(--border-radius) var(--border-radius) 0;*/
        /*border-radius: var(--border-radius);*/
        border-radius: 0;
    }

    @media (max-width: 991px) {
        word-break: break-word;
    }
}

.row {
    row-gap: 24px;
}

.card-flip-container {
    perspective: 1000px;
    -webkit-perspective: 1000px;

    .card {
        transform-style: preserve-3d;
        -webkit-transform-style: preserve-3d;
        transition: transform 0.6s;

        .card-face {
            position: absolute;
            width: 100%;
            height: 100%;
            -webkit-backface-visibility: hidden;
            display: flex;
            align-items: center;
            justify-content: center;
            color: white;
            background: white;

            &.front {
            }

            &.back {
                transform: rotateY(180deg);
                -webkit-transform: rotateY(180deg);
                color: var(--text-color);
            }
        }
    }

    &:hover,
    &.flipped {
        .card {
            transform: rotateY(180deg);
            -webkit-transform: rotateY(180deg);
        }
    }

    &.flipped:hover {
        .card {
            transform: rotateY(0deg);
            -webkit-transform: rotateY(0deg);
        }
    }
}

.card {
    border: 1px solid transparent;
    box-shadow: 0 0 6px 0 rgba(0, 0, 0, 0.1);
    border-radius: var(--border-radius);

    img {
        max-width: 100%;
    }

    .card-body {
        padding: 24px;

        @media (min-width: 992px) {
            padding: 48px;
        }
    }

    &.card--person {
        border: none;
        box-shadow: none;
        position: relative;
        width: 100%;
        height: auto;
        aspect-ratio: 1/1;

        img {
            border-radius: var(--border-radius);
            width: 100%;
            height: auto;
            aspect-ratio: 1/1;
            object-fit: cover;
        }

        .card-body {
            padding: 0;
        }

        .card-footer {
            background: none;
            border: none;
            position: absolute;
            bottom: 8px;
            left: 8px;
            /*background: black;*/
            color: white;
            border-radius: var(--border-radius);

            &:before {
                content: "";
                position: absolute;
                top: 50%;
                left: 50%;
                transform: translate(-50%, calc(-50% + 2px));
                display: block;
                box-shadow: 0 0 20px 35px #00000085;
                width: calc(100% - 12px);
                height: 0;
                z-index: 0;
            }

            .card-footer__title {
                font-size: 24px;
                line-height: 28px;
                font-weight: 900;
                letter-spacing: 1px;
                position: relative;
                z-index: 1;
                margin: 0;

                &:before {
                    content: "";
                    width: 50px;
                    height: 5px;
                    background: var(--secondary-color);
                    display: block;
                    margin: -6px 0 6px 0;
                    /*border-radius: 0 var(--border-radius) var(--border-radius) 0;*/
                    /*border-radius: var(--border-radius);*/
                    border-radius: 0;
                }
            }

            .card-footer__subTitle {
                font-size: 16px;
                font-weight: 400;
                position: relative;
                z-index: 1;
            }
        }

        .card--person__wrap {
            border: 1px solid var(--border-color);
            border-radius: var(--border-radius);
            width: 100%;
            height: 100%;
            display: flex;
            flex-flow: column;
            gap: 12px;
        }

        .card--person__text {
            overflow: auto;
            padding: 24px;
            display: flex;
            flex-flow: column;
            gap: 12px;
        }
    }

    &.card-cz.card--person {
        .card-footer__title {
            &:before {
                background-color: var(--tertiary-color);
            }
        }
    }
}

.program {
    display: flex;
    flex-flow: column;
    gap: 24px;
}

.programItem {
    display: flex;
    align-items: flex-start;
    flex-flow: column;
    gap: 12px;

    @media (min-width: 992px) {
        flex-flow: row;
        gap: 48px;
    }

    .programItem__date {
        font-size: 24px;
        font-weight: 700;
        line-height: 31px;
        white-space: nowrap;
        min-width: 200px;
    }

    .programItem__title {
        font-size: 24px;
        font-weight: 700;
        line-height: 31px;
    }

    .programItem__text {
        opacity: 0.8;
    }
}

h3 {
    font-size: 24px;
    font-weight: 700;
    margin: 0 0 12px 0;
    line-height: 31px;
}

.pswp-gallery {
    a {
        display: block;
        width: 100%;
        height: auto;
        aspect-ratio: 1/1;
        box-shadow: 0 0 6px 0 rgba(0, 0, 0, 0.1);

        img {
            width: 100%;
            height: auto;
            aspect-ratio: 1/1;
            object-fit: cover;
            border-radius: var(--border-radius);
        }
    }
}

.partners {
    img {
        max-width: 100%;
        object-fit: contain;
    }
}

@media (min-width: 1300px) {
    .container {
        max-width: 1290px;
    }
}
